package com.programmer.example.pardakht;

import android.content.Intent;
import android.content.SharedPreferences;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import java.util.Calendar;

public class MainActivity extends AppCompatActivity {


    TextView txt;
    String TAG = "aaaaa";


    SharedPreferences.Editor edits_s;
    SharedPreferences prefs_s;
    String msg_s;


    // start mahdodiat
    SharedPreferences.Editor edits_Tahlil;
    SharedPreferences tahlil;
    int int_tahlil;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button btn = (Button) findViewById(R.id.button);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent n = new Intent(getApplicationContext(),pardakh_bazaar.class);
                startActivity(n);
            }
        });

        txt = (TextView) findViewById(R.id.txt);



        try {

            tahlil = getSharedPreferences("tahlil", MODE_PRIVATE);
            int_tahlil = tahlil.getInt("tahlil",0);

            Log.d(TAG, "onCreate: int_tahlil = "+ int_tahlil);

            if (int_tahlil == 0){
                txt.setText("هیچ اعتباری خریداری نشده است.");

            }else if (int_tahlil == 1){

                prefs_s = getSharedPreferences("prefs_s", MODE_PRIVATE);
                final String msg_s = prefs_s.getString("prefs_s","");

                Sanjesh_Tarikh(msg_s);

            }else if (int_tahlil == 2){

                prefs_s = getSharedPreferences("prefs_s", MODE_PRIVATE);
                String msg_s = prefs_s.getString("prefs_s","");

                Sanjesh_Tarikh(msg_s);
            }

        }catch (Exception e){
            txt.setText("هیچ اعتباری خریداری نشده است.");
            Log.d(TAG, "onCreate: int_tahlil = Erorr");



        }
    }





    private void Sanjesh_Tarikh(String sal_nahay) {


        // Tarikh shamsy emrooz
        Calendar cal = Calendar.getInstance();
        int year1 = cal.get(Calendar.YEAR);
        int month1 = cal.get(Calendar.MONTH);
        int day1 = cal.get(Calendar.DAY_OF_MONTH);



        int s_day = cal.get(Calendar.DAY_OF_WEEK);
        String ssd ="";

        if (s_day==1){
            ssd = "یکشنبه";
        }else if (s_day==2){
            ssd = "دوشنبه";

        }else if (s_day==3){
            ssd = "سه شنبه";
        }else if (s_day==4){
            ssd = "چهار شنبه";
        }else if (s_day==5){
            ssd = "پنج شنبه";
        }else if (s_day==6){
            ssd = "جمعه";
        }else if (s_day==7){
            ssd = "شنبه";
        }


        //SimpleDateFormat sdf = new SimpleDateFormat("mm : HH");
        //String cdt = sdf.format(new Date());

        String date = year1+"/"+month1+"/"+day1;

        JalaliCalendar.gDate miladyDate = new JalaliCalendar.gDate(year1,month1,day1);
        JalaliCalendar.gDate jalalyDate = JalaliCalendar.MiladiToJalali(miladyDate);


        int sal =   jalalyDate.getYear();
        int month = jalalyDate.getMonth()+1;
        int day =   jalalyDate.getDay();



        String emrooz = sal+"/"+month+"/"+day;

        //   Log.d("aaaaa", "onCreate: 6");
        Log.d("aaaaa", "getTarikh: emrooz , nahay = "+emrooz+"  _  "+sal_nahay);




        if (sal_nahay.length() > 5){
            String sa_sa[] = sal_nahay.split("/");
            int sa_sal = Integer.parseInt(sa_sa[0]);
            int sa_mon = Integer.parseInt(sa_sa[1]);
            int sa_day = Integer.parseInt(sa_sa[2]);

            if (sa_sal == sal && sa_mon == month && sa_day < day){
                txt.setText("اعتبار خریداری شده در تاریخ "+sal_nahay+" خاتمه یافته است لطفا اعتبار جدید خریداری کنید.");

                tahlil = getSharedPreferences("tahlil", MODE_PRIVATE);
                edits_Tahlil = tahlil.edit();
                int input_Tahlil = 2;
                edits_Tahlil.putInt("tahlil", input_Tahlil);
                edits_Tahlil.commit();

            }else {
                txt.setText("برنامه اموزشی تا تاریخ "+sal_nahay+" فعال میباشد.");

                tahlil = getSharedPreferences("tahlil", MODE_PRIVATE);
                edits_Tahlil = tahlil.edit();
                int input_Tahlil = 1;
                edits_Tahlil.putInt("tahlil", input_Tahlil);
                edits_Tahlil.commit();
            }


        }else {
            txt.setText("هیچ اعتباری خریداری نشده است.");

            tahlil = getSharedPreferences("tahlil", MODE_PRIVATE);
            edits_Tahlil = tahlil.edit();
            int input_Tahlil = 0;
            edits_Tahlil.putInt("tahlil", input_Tahlil);
            edits_Tahlil.commit();
        }



    }
}

